# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-module-setuptools
# END SourceDeps(oneline)
%define oldname python-pretty
%define fedora 28
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-module-pretty
Version:        0.1
Release:        alt1_17
Summary:        Extensible pprint successor

Group:          Development/Other
License:        BSD
URL:            http://pypi.python.org/pypi/pretty/
Source0:        http://pypi.python.org/packages/source/p/pretty/pretty-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel

%global _description\
Python advanced pretty printer.  This pretty printer is intended to\
replace the old `pprint` python module which does not allow developers\
to provide their own pretty print callbacks.\

Source44: import.info


%description 

%_description
%prep
%setup -q -n pretty-%{version}


%build
%python_build


%install
%python_install

 

%files -n python-module-pretty
%doc
%{python_sitelibdir_noarch}/pretty.py*
%{python_sitelibdir_noarch}/pretty*egg-info


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_17
- update to new release by fcimport

* Thu Mar 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_16
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_15
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_14
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_12
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_11
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_10
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_9
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_8
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_7
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_6
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_5
- initial fc import

